@echo off

set AP_TITLE=INplc-SDK(Express) Patch
set AP_VERSION=v3.05B

rem -----------------------------------------------------------

set REG_SOFTWARE=HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node
if "%PROCESSOR_ARCHITECTURE%" NEQ "x86" goto INST_START
echo;
echo ^> 32BIT SYSTEM...
set REG_SOFTWARE=HKEY_LOCAL_MACHINE\SOFTWARE

rem -----------------------------------------------------------


:INST_START
echo ^> ++++++++++++++++++++++++++++++++++++++++++++++++++
echo ^>  WELCOME TO THE
echo ^>  [%AP_TITLE% %AP_VERSION%]
echo ^>  INSTALLATION.
echo ^> ++++++++++++++++++++++++++++++++++++++++++++++++++


TIMEOUT /T 1 /NOBREAK >nul
echo;
echo ^> CHECK INplc-SDK INSTALL DIR...

REG QUERY "%REG_SOFTWARE%\Micronet\MULTIPROG" /v "Install_Path" >nul
if %ERRORLEVEL% NEQ 0 goto ERROR

for /F "TOKENS=1,2,*" %%A in ('REG QUERY "%REG_SOFTWARE%\Micronet\MULTIPROG" /v "Install_Path"') do if "%%A"=="Install_Path" set INST_PATH=%%C


REG QUERY "%REG_SOFTWARE%\Micronet\MULTIPROG" /v "CommonAppData_Folder" >nul
if %ERRORLEVEL% NEQ 0 goto ERROR

for /F "TOKENS=1,2,*" %%A in ('REG QUERY "%REG_SOFTWARE%\Micronet\MULTIPROG" /v "CommonAppData_Folder"') do if "%%A"=="CommonAppData_Folder" set AP_INST=%%C


echo OK: INplc-SDK SDK Detected.
TIMEOUT /T 1 /NOBREAK >nul

echo;
echo ^> UPDATING...

if EXIST "%INST_PATH%\Settings Express\templates\INplc_FBD\C\Configuration\R\Resource\eCLRIpAddressAssignments.set" (goto FILE1_TRUE) else goto FILE2_CHECK
:FILE1_TRUE
del@"%INST_PATH%\Settings Express\templates\INplc_FBD\C\Configuration\R\Resource\eCLRIpAddressAssignments.set" >nul

:FILE2_CHECK
if EXIST "%INST_PATH%\Settings Express\templates\INplc_LD\C\Configuration\R\Resource\eCLRIpAddressAssignments.set" (goto FILE2_TRUE) else goto FILE3_CHECK
:FILE2_TRUE
del@"%INST_PATH%\Settings Express\templates\INplc_LD\C\Configuration\R\Resource\eCLRIpAddressAssignments.set" >nul

:FILE3_CHECK
if EXIST "%AP_INST%templates\INplc_FBD\C\Configuration\R\Resource\eCLRIpAddressAssignments.set" (goto FILE3_TRUE) else goto FILE4_CHECK
:FILE3_TRUE
del@"%AP_INST%templates\INplc_FBD\C\Configuration\R\Resource\eCLRIpAddressAssignments.set" >nul

:FILE4_CHECK
if EXIST "%AP_INST%templates\INplc_LD\C\Configuration\R\Resource\eCLRIpAddressAssignments.set" (goto FILE4_TRUE) else goto FILE_CHECK_END
:FILE4_TRUE
del@"%AP_INST%templates\INplc_LD\C\Configuration\R\Resource\eCLRIpAddressAssignments.set" >nul

:FILE_CHECK_END

echo OK: Update Success.

echo;

TIMEOUT /T 1 /NOBREAK >nul


echo;
echo ^> ++++++++++++++++++++++++++++++++++++++++++++++++++
echo ^>  [%AP_TITLE%] INSTALL SUCCESS.
echo ^> ++++++++++++++++++++++++++++++++++++++++++++++++++
TIMEOUT /T 5 >nul
exit /B 0


rem -----------------------------------------------------------

:ERROR
echo;
echo ^> ++++++++++++++++++++++++++++++++++++++++++++++++++
echo ^>  !!! [%AP_TITLE%] INSTALL ERROR.
echo ^> ++++++++++++++++++++++++++++++++++++++++++++++++++
pause >nul
exit /B -1


rem -----------------------------------------------------------